
#include "MeInterCMT.h"

#ifdef ME_PORT_DEFINED
/**
 * Alternate Constructor which can call your own function to map the Bluetooth to arduino port,
 * no pins are used or initialized here.
 * \param[in]
 *   None
 */
MeInterCMT::MeInterCMT() : MeSerial(0)
{

}

/**
 * Alternate Constructor which can call your own function to map the MeInterCMT to arduino port,
 * If the hardware serial was selected, we will used the hardware serial.
 * \param[in]
 *   port - RJ25 port from PORT_1 to M2
 */
MeInterCMT::MeInterCMT(uint8_t port) : MeSerial(port)
{

}
MeInterCMT::MeInterCMT(uint8_t port, uint8_t flag ) : MeSerial(mePort[port].s1, mePort[port].s2)
{

}
#else // ME_PORT_DEFINED
/**
 * Alternate Constructor which can call your own function to map the MeInterCMT to arduino port,
 * If the hardware serial was selected, we will used the hardware serial.
 * \param[in]
 *   receivePin - the rx pin of serial(arduino port)
 * \param[in]
 *   transmitPin - the tx pin of serial(arduino port)
 * \param[in]
 *   inverse_logic - Whether the Serial level need inv.
 */
MeInterCMT::MeInterCMT(uint8_t receivePin, uint8_t transmitPin, bool inverse_logic)\
                        : MeSerial(receivePin, transmitPin, inverse_logic)
{

}
#endif // ME_PORT_DEFINED

