
#ifndef MeInterCMT_H
#define MeInterCMT_H

#include <stdint.h>
#include <stdbool.h>
#include <Arduino.h>
#include "MeConfig.h"
#include "MeSerial.h"

#ifdef ME_PORT_DEFINED
#include "MePort.h"
#endif

/**
 * Class: MeInterCMT
 * \par Description
 * Declaration of Class MeBluetooth.
 */
#ifndef ME_PORT_DEFINED
class MeInterCMT
#else // !ME_PORT_DEFINED
class MeInterCMT : public MeSerial
#endif // !ME_PORT_DEFINED
{
public:
#ifdef ME_PORT_DEFINED
/**
 * Alternate Constructor which can call your own function to map the Bluetooth to arduino port,
 * no pins are used or initialized here.
 * \param[in]
 *   None
 */
	MeInterCMT();

/**
 * Alternate Constructor which can call your own function to map the Bluetooth to arduino port,
 * If the hardware serial was selected, we will used the hardware serial.
 * \param[in]
 *   port - RJ25 port from PORT_1 to M2
 */
	MeInterCMT(uint8_t port);
	MeInterCMT(uint8_t port, uint8_t flag);
#else // ME_PORT_DEFINED
/**
 * Alternate Constructor which can call your own function to map the Bluetooth to arduino port,
 * If the hardware serial was selected, we will used the hardware serial.
 * \param[in]
 *   receivePin - the rx pin of serial(arduino port)
 * \param[in]
 *   transmitPin - the tx pin of serial(arduino port)
 * \param[in]
 *   inverse_logic - Whether the Serial level need inv.
 */
	MeInterCMT(uint8_t receivePin, uint8_t transmitPin, bool inverse_logic = false);
#endif // ME_PORT_DEFINED
};
#endif

